package com.hcordova.flightagencyapi.shared.config;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

import com.hcordova.flightagencyapi.shared.dto.ErrorMessageDTO;
import com.hcordova.flightagencyapi.shared.exceptions.NotFoundException;

@ControllerAdvice
public class ExceptionController {

    @ExceptionHandler(NotFoundException.class)
    public ResponseEntity<ErrorMessageDTO> notFoundException(NotFoundException ex) {
        ErrorMessageDTO errorMessage = new ErrorMessageDTO(ex.getMessage(), HttpStatus.NOT_FOUND, ex.getPath());
        return new ResponseEntity<>(errorMessage, HttpStatus.NOT_FOUND);
    }
}
